package cn.iocoder.yudao.module.order.convert.orderSpecialNeed;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.order.vo.orderSpecialNeed.*;
import cn.iocoder.yudao.module.order.dal.dataobject.orderSpecialNeed.OrderSpecialNeedDO;

/**
 * 特需 Convert
 * @author 系统管理员
 */
@Mapper
public interface OrderSpecialNeedConvert {
    /*****转换MapStruct*****/
    OrderSpecialNeedConvert INSTANCE = Mappers.getMapper(OrderSpecialNeedConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    OrderSpecialNeedDO convert(OrderSpecialNeedCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    OrderSpecialNeedDO convert(OrderSpecialNeedUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    OrderSpecialNeedBackVO convert(OrderSpecialNeedDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<OrderSpecialNeedBackVO> convertList(List<OrderSpecialNeedDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<OrderSpecialNeedBackVO> convertPage(PageResult<OrderSpecialNeedDO> page);
}
