package cn.iocoder.yudao.module.order.vo.order;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 关联订单的异常与审批状态
 */
@Data
@ApiModel("关联订单的异常与审批状态")
public class GuanLianOrderStatusVO {

    @ApiModelProperty("订单Id")
    private Long orderId;

    @ApiModelProperty("订单编号")
    private String orderNo;

    @ApiModelProperty("状态类型： 1 异常状态 2 审批状态 3 入仓状态")
    private Integer type;

    @ApiModelProperty("订单异常或审批状态说明，优先异常状态")
    private String statusMsg;
}
